WIN_X = 960;
WIN_Y = 540;

shader = nil;
camera = {};

camera.position = {0,0,4};
camera.out = {0,0,-1}; --"out" in screenspace coresponds to this in worldspace
camera.down = {0,-1,0}; --down in screenspace coresponds to this in worldspace
camera.minDist = 1.0;
camera.maxDist = 25.0;
camera.fov = math.pi*(0.25);
camera.ratio = WIN_X/WIN_Y;

line = {
  {2.0,1.0,1.0}, --x,y,z
  {2.0,-1.0,1.0} --point 2
};

function love.load()
  love.graphics.setColor(1.0,1.0,1.0);
  shader = love.graphics.newShader("simpleCameraTransform.glsl");
  love.graphics.setShader(shader);
end

function love.draw()
  --send all the data to the shader
  shader:send("cam_pos",camera.position);
  shader:send("cam_forward",camera.out);
  shader:send("cam_up",camera.down);
  shader:send("cam_minDist",camera.minDist);
  shader:send("cam_maxDist",camera.maxDist);
  shader:send("cam_FOV",camera.fov);
  shader:send("cam_aspectRatio",camera.ratio);

  --note: we're only sending 2 vertecies to the shader!
  shader:send("vtx_pos",line[1],line[2]);
  love.graphics.line(0,0, 1,0);
end
